"""
Django settings for MisPerris project.

Generated by 'django-admin startproject' using Django 3.1.3.

For more information on this file, see
https://docs.djangoproject.com/en/3.1/topics/settings/

For the full list of settings and their values, see
https://docs.djangoproject.com/en/3.1/ref/settings/
"""

from pathlib import Path

# Build paths inside the project like this: BASE_DIR / 'subdir'.
BASE_DIR = Path(__file__).resolve().parent.parent


# Quick-start development settings - unsuitable for production
# See https://docs.djangoproject.com/en/3.1/howto/deployment/checklist/

# SECURITY WARNING: keep the secret key used in production secret!
SECRET_KEY = '+u7@50@(nschufv+r+8um9_cxs85#i6bozg4z@yc4v59i6wh-v'

# SECURITY WARNING: don't run with debug turned on in production!
DEBUG = True

ALLOWED_HOSTS = []

# Application definition

INSTALLED_APPS = [
    'django.contrib.admin',
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.messages',
    'django.contrib.staticfiles',
    'core',                                     # <-- App local
    'crispy_forms',                             # <-- Bootstrap Formularios
    'rest_framework',                           # <-- REST Framework

    'django.contrib.sites',                     # <-- Login google
    'allauth',                                  # <-- Login google
    'allauth.account',                          # <-- Login google
    'allauth.socialaccount',                    # <-- Login google
    'allauth.socialaccount.providers.google',   # <-- Login google

    'pwa',                                      # <-- aplicaciones webs progresivas 

    'fcm_django',                               # <-- Firebase Cloud Messaging

]


MIDDLEWARE = [
    'django.middleware.security.SecurityMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.middleware.common.CommonMiddleware',
    'django.middleware.csrf.CsrfViewMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.contrib.messages.middleware.MessageMiddleware',
    'django.middleware.clickjacking.XFrameOptionsMiddleware',
]

ROOT_URLCONF = 'MisPerris.urls'

TEMPLATES = [
    {
        'BACKEND': 'django.template.backends.django.DjangoTemplates',
        'DIRS': [],
        'APP_DIRS': True,
        'OPTIONS': {
            'context_processors': [
                'django.template.context_processors.debug',
                'django.template.context_processors.request',
                'django.contrib.auth.context_processors.auth',
                'django.contrib.messages.context_processors.messages',
            ],
        },
    },
]

WSGI_APPLICATION = 'MisPerris.wsgi.application'


# Database
# https://docs.djangoproject.com/en/3.1/ref/settings/#databases

DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.sqlite3',
        'NAME': BASE_DIR / 'db.sqlite3',
    }
}


# Password validation
# https://docs.djangoproject.com/en/3.1/ref/settings/#auth-password-validators

AUTH_PASSWORD_VALIDATORS = [
    {
        'NAME': 'django.contrib.auth.password_validation.UserAttributeSimilarityValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.MinimumLengthValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.CommonPasswordValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.NumericPasswordValidator',
    },
]


# Internationalization
# https://docs.djangoproject.com/en/3.1/topics/i18n/

LANGUAGE_CODE = 'es'

TIME_ZONE = 'UTC'

USE_I18N = True

USE_L10N = True

USE_TZ = True


# Static files (CSS, JavaScript, Images)
# https://docs.djangoproject.com/en/3.1/howto/static-files/

STATIC_URL = '/static/'

import os

MEDIA_URL = '/media/'
MEDIA_ROOT = os.path.join(BASE_DIR, "media")

CRISPY_TEMPLATE_PACK = 'bootstrap4'

LOGIN_REDIRECT_URL = '/'
LOGOUT_REDIRECT_URL = '/'

REST_FRAMEWORK = {
    'DEFAULT_PAGINATION_CLASS': 'rest_framework.pagination.PageNumberPagination',
    'PAGE_SIZE': 2
}

SITE_ID = 1


AUTHENTICATION_BACKENDS = (
 'django.contrib.auth.backends.ModelBackend',
 'allauth.account.auth_backends.AuthenticationBackend',
 )
 
SOCIALACCOUNT_PROVIDERS = {
    'google': {
        'SCOPE': [
            'profile',
            'email',
        ],
        'AUTH_PARAMS': {
            'access_type': 'online',
        }
    }
}


#PWA
PWA_SERVICE_WORKER_PATH = os.path.join(BASE_DIR,'serviceworker.js')

STATICFILES_DIRS = [ os.path.join(BASE_DIR, 'static'), ]

PWA_APP_NAME = 'Mis Perris' 
PWA_APP_DESCRIPTION = "Fundación perritos en situación de abandono" 
PWA_APP_THEME_COLOR = '#0A0302' 
PWA_APP_BACKGROUND_COLOR = '#ffffff' 
PWA_APP_DISPLAY = 'standalone' 
PWA_APP_SCOPE = '/' 
PWA_APP_ORIENTATION = 'any' 
PWA_APP_START_URL = '/' 
PWA_APP_STATUS_BAR_COLOR = 'default' 
PWA_APP_ICONS = [ 
    { 'src': '/static/core/img/icon-160x160.png', 'sizes': '160x160' } 
] 
PWA_APP_ICONS_APPLE = [ 
    { 'src': '/static/core/img/icon-160x160.png', 'sizes': '160x160' } 
] 
PWA_APP_SPLASH_SCREEN = [ 
    { 'src': '/static/img/icons/splash-640x1136.png', 
    'media': '(device-width: 320px) and (device-height: 568px) and (-webkit-device-pixel-ratio: 2)' } 
] 
PWA_APP_DIR = 'ltr' 
PWA_APP_LANG = 'es'

PWA_APP_DEBUG_MODE = False



# <-- Firebase Cloud Messaging

FCM_DJANGO_SETTINGS = {
    "FCM_SERVER_KEY": "AAAAbqFJmc8:APA91bGDrXHtStfdjGbsjdzakfCPCHw3TJEA_Co9-3i8tYJwyYrDoqTzlOMsS9fofn1pTUEkjJ9Esmx58jm1zGWd7eKdnL3V6KFguJm08k_Z09En5fOoPtYhJuTmMp8KSy8YvnKuRdEh"
}

